Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoExternalEvalFunc< F, External, ExternalEO > Class Template Reference

Evaluation of external struct, ctor expects a function of the following signature:. More...

`#include <eoExternalOpFunctions.h>`

Inheritance diagram for eoExternalEvalFunc< F, External, ExternalEO >:

List of all members.

## Public Member Functions
| eoExternalEvalFunc (F(*_eval)(const External &))
void | operator() (ExternalEO &eo)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
F(* | eval )(const External &)

## Detailed Description

### template<class F, class External, class ExternalEO = eoExternalEO<F, External>>
class eoExternalEvalFunc< F, External, ExternalEO >

Evaluation of external struct, ctor expects a function of the following signature:.

Fit func(External&);

Where External is the user defined struct or class and Fit the fitness type

Definition at line 73 of file eoExternalOpFunctions.h.

The documentation for this class was generated from the following file:

- eoExternalOpFunctions.h